APIIssues
Link a pull request to an issue
Link a GitHub or Bitbucket pull request to an issue as a fix or suspected cause. Linking is idempotent and never bills.
POST https://api.sazabi.com/v1/issues/{issueId}/pull-requests
Path Parameters
issueId*string
Issue to link the pull request to.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/issues/497f6eca-6276-4993-bfeb-53cbbbba6f08/pull-requests" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com" }'{ "pullRequest": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "number": -9007199254740991, "repositoryFullName": "string", "title": "string", "url": "http://example.com", "status": "open", "reviewState": "review_required", "checksState": "passing", "relation": "fixes", "source": "sazabi" }, "created": true}